
local folder, core = ...

function IT_Minimap_OnEvent()
	IT_MinimapButton_Icon:SetTexture("Interface/AddOns/"..folder.."/minimapicon")
	IT_MinimapButton_Reposition()
end
function IT_MinimapButton_Reposition()
	IT_MinimapButton:SetPoint("TOPLEFT","Minimap","TOPLEFT",52-(80*cos(IT_Settings["MinimapPos"])),(80*sin(IT_Settings["MinimapPos"]))-52)
end

function IT_MinimapButton_DraggingFrame_OnUpdate()

	local xpos,ypos = GetCursorPosition()
	local xmin,ymin = Minimap:GetLeft(), Minimap:GetBottom()

	xpos = xmin-xpos/UIParent:GetScale()+70
	ypos = ypos/UIParent:GetScale()-ymin-70

	IT_Settings["MinimapPos"] = math.deg(math.atan2(ypos,xpos))
	IT_MinimapButton_Reposition() 
end

function IT_MinimapButton_OnClick()
	if IT.MainFrame:IsVisible() then 
		IT.MainFrame:Hide()
	else 
		IT.MainFrame:Show()
	end 	
end